%{!?drupal6: %global drupal6 %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module      imagecache
%global pre_release rc1

Name:      drupal6-%{module}
Version:   2.0
Release:   6.%{pre_release}%{?dist}
Summary:   Dynamic image manipulator and cache

Group:     Applications/Publishing
License:   GPLv2
URL:       http://drupal.org/project/%{module}
Source0:   http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}-%{pre_release}.tar.gz
Source1:   %{name}-RPM-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
Requires:  drupal6(imageapi)
# phpcompatinfo (computed from version 2.0-rc1)
Requires:  php-date
Requires:  php-pcre

Provides:  drupal6(%{module}) = %{version}
Provides:  drupal6(%{module}_ui) = %{version}

%description
ImageCache allows you to setup presets for image processing. If an ImageCache
derivative doesn't exist the web server's rewrite rules will pass the request
to Drupal which in turn hands it off to ImageCache to dynamically generate the
file. ImageCache allows you to setup presets for image processing.

This package provides the following Drupal modules:
* %{module}
* %{module}_ui


%prep
%setup -qn %{module}
cp -p %{SOURCE1} .


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal6_modules}/%{module}
%exclude %{drupal6_modules}/%{module}/*.txt


%changelog
* Sun Jan 26 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.0-6.rc1
- Spec cleanup

* Fri Mar 22 2013 Anderson Silva <ansilva@redhat.com> - 2.0-5.rc1
- Add LICENSE.txt
- Add php-date, php-pcre requirements

* Thu Jun 7 2012 Anderson Silva <ansilva@redhat.com> - 2.0-4.rc1
- rc1 upstream release
- update description
- add drupal6-imageapi dependency

* Wed Mar 21 2012 Anderson Silva <ansilva@redhat.com> - 2.0-3.beta12
- Fix non-numeric version

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 2.0-2.beta12
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 2.0-1.beta12
- Initial rpm package
